import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const cityEditAvicultureInfo = createAsyncThunk(
  "CITY_EDIT_AVICULTURE_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("/edit_poultry/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
